#ifndef _USER_SPI_h
#define _USER_SPI_h

#include <stdint.h>
 
void DRV_SPI2Task(void);
void DRV_SPITask(void);
void DRV_SPIInit(uint8_t* rxBuff, uint8_t* txBuff);
void DRV_SPI2Init(uint8_t* rxBuff, uint8_t* txBuff, uint16_t len);
bool ScheduleAccData(uint8_t *data, uint8_t len);
void SPI2_CallbackAcc(uint16_t endIndex);
void SPI2_CallbackTemp(uint8_t temp);

#endif